#(ly:set-option 'old-relative)
%
\version "2.2.0"

\header {
  title = "Scales and Arpeggios for Viola"
  composer = "B. Crowell"
 tagline = ""
 footer = ""
}

%============================================================================
%   two strings, do to do
%============================================================================
twoStringsDoDo = \notes {
  \key e \major    e16-4 b gis e    fis a cis e    dis b a fis    e d' b gis
}
twoStringsDoDoChords =     \chords {
\transpose c g' {
                  e4 fis4:m7 b4:7 e4:7  
\transpose b e {  e4 fis4:m7 b4:7 e4:7  }
\transpose b a {  e4 fis4:m7 b4:7 e4:7  }
\transpose b d {  e4 fis4:m7 b4:7 e4:7  }
\transpose b g {  e4 fis4:m7 b4:7 e4:7  }
\transpose b c {  e4 fis4:m7 b4:7 e4:7  }
\transpose b f {  e4 fis4:m7 b4:7 e4:7  }
\transpose b bes {  e4 fis4:m7 b4:7 e4:7  }
\transpose b es {  e4 fis4:m7 b4:7 e4:7  }
\transpose b aes {  e4 fis4:m7 b4:7 e4:7  }
\transpose b cis {  e4 fis4:m7 b4:7 e4:7  }
\transpose b fis {  e4 fis4:m7 b4:7 e4:7  }
}
} 

twoStringsDoDoMinor = \notes {
  \key e \minor    e16-4 b g e    fis a c e    dis c a fis    e d' b gis
}
twoStringsDoDoMinorChords =     \chords {
\transpose c g' {
                  e4:m fis4:m7.5- dis4:dim7 e4:7  
\transpose b e {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b a {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b d {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b g {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b c {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b f {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b bes {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b es {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b aes {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b cis {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
\transpose b fis {  e4:m fis4:m7.5- dis4:dim7 e4:7  }
}
} 

%============================================================================
%   two strings, fa to fa
%============================================================================
twoStringsFaFa =  \notes {      
  \key b \major     dis16-3 b fis b    e b gis e    fis ais cis e    dis b fis a
}
twoStringsFaFaChords =     \chords {
\transpose c g' {
                  b4 e4 fis4:7 b4:7  
\transpose b e {  b4 e4 fis4:7 b4:7  }
\transpose b a {  b4 e4 fis4:7 b4:7  }
\transpose b d {  b4 e4 fis4:7 b4:7  }
\transpose b g {  b4 e4 fis4:7 b4:7  }
\transpose b c {  b4 e4 fis4:7 b4:7  }
\transpose b f {  b4 e4 fis4:7 b4:7  }
\transpose b bes {  b4 e4 fis4:7 b4:7  }
\transpose b es {  b4 e4 fis4:7 b4:7  }
\transpose b aes {  b4 e4 fis4:7 b4:7  }
\transpose b cis {  b4 e4 fis4:7 b4:7  }
\transpose b fis {  b4 e4 fis4:7 b4:7  }
}
} 
twoStringsFaFaMinor =  \notes {      
\key b \minor     d16-3 b fis b    e b g e    g ais cis e    dis b fis a
}
twoStringsFaFaMinorChords =     \chords {
\transpose c g' {
                  b4:m e4:m ais4:dim7 b4:7  
\transpose b e {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b a {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b d {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b g {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b c {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b f {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b bes {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b es {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b aes {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b cis {  b4:m e4:m ais4:dim7 b4:7  }
\transpose b fis {  b4:m e4:m ais4:dim7 b4:7  }
}
} 



%============================================================================
%   two strings, do to do
%============================================================================
\score {
  <<
  \new ChordNames 
    \twoStringsDoDoChords
  \notes \context Staff = staffA {
    \time 4/4
    \clef G % --------- viola ---------
    \transpose c g { % --------- viola ---------
      \relative c'' \twoStringsDoDo
      \transpose b e {  \relative c'' \twoStringsDoDo }
      \transpose b a {  \relative c' \twoStringsDoDo }
      \transpose b d {  \clef G \relative c''' \twoStringsDoDo }
      \transpose b g {  \clef G \relative c'' \twoStringsDoDo }
      \transpose b c {  \relative c'' \twoStringsDoDo }
      \transpose b f {  \relative c'' \twoStringsDoDo }
      \transpose b bes {  \relative c'' \twoStringsDoDo }
      \transpose b es {  \relative c'' \twoStringsDoDo }
      \transpose b aes {  \relative c' \twoStringsDoDo }
      \transpose b cis {  \relative c''' \twoStringsDoDo }
      \transpose b fis {  \relative c'' \twoStringsDoDo }
      \bar "||"
    }% end transpose
  }% end notes
>>
  \header {
      piece = "Arpeggios in major keys, on two strings, covering one octave from do to do"
  }
  \paper { }
}% end score

\score {
  <<
  \new ChordNames 
    \twoStringsDoDoMinorChords
  \notes \context Staff = staffA {
    \time 4/4
    \clef G % --------- viola ---------
    \transpose c g { % --------- viola ---------
      \relative c'' \twoStringsDoDoMinor
      \transpose b e {  \relative c'' \twoStringsDoDoMinor }
      \transpose b a {  \relative c' \twoStringsDoDoMinor }
      \transpose b d {  \clef G \relative c''' \twoStringsDoDoMinor }
      \transpose b g {  \clef G \relative c'' \twoStringsDoDoMinor }
      \transpose b c {  \relative c'' \twoStringsDoDoMinor }
      \transpose b f {  \relative c'' \twoStringsDoDoMinor }
      \transpose b bes {  \relative c'' \twoStringsDoDoMinor }
      \transpose b es {  \relative c'' \twoStringsDoDoMinor }
      \transpose b aes {  \relative c' \twoStringsDoDoMinor }
      \transpose b cis {  \relative c''' \twoStringsDoDoMinor }
      \transpose b fis {  \relative c'' \twoStringsDoDoMinor }
      \bar "||"
    }% end transpose
  }% end notes
>>
  \header {
      piece = "Arpeggios in major keys, on two strings, covering one octave from do to do"
  }
  \paper { }
}% end score


%============================================================================
%   two strings, fa to fa
%============================================================================

\score {
  <<
  \new ChordNames 
    \twoStringsFaFaChords
  \notes \context Staff = staffA {
    \time 4/4
    \clef G % --------- viola ---------
    \transpose c g { % --------- viola ---------
      \relative c'' \twoStringsFaFa
      \transpose b e {  \relative c'' \twoStringsFaFa }
      \transpose b a {  \relative c' \twoStringsFaFa }
      \transpose b d {  \clef G \relative c''' \twoStringsFaFa }
      \transpose b g {  \clef G \relative c'' \twoStringsFaFa }
      \transpose b c {  \relative c'' \twoStringsFaFa }
      \transpose b f {  \relative c'' \twoStringsFaFa }
      \transpose b bes {  \relative c'' \twoStringsFaFa }
      \transpose b es {  \relative c'' \twoStringsFaFa }
      \transpose b aes {  \relative c' \twoStringsFaFa }
      \transpose b cis {  \relative c''' \twoStringsFaFa }
      \transpose b fis {  \relative c'' \twoStringsFaFa }
      \bar "||"
    }% end transpose
  }% end notes
>>
  \header {
      piece = "Arpeggios in major keys, on two strings, covering one octave from fa to fa"
  }
  \paper { }
}% end score


\score {
  <<
  \new ChordNames 
    \twoStringsFaFaMinorChords
  \notes \context Staff = staffA {
    \time 4/4
    \clef G % --------- viola ---------
    \transpose c g { % --------- viola ---------
\relative c'' \twoStringsFaFaMinor
\transpose b e {  \relative c'' \twoStringsFaFaMinor }
\transpose b a {  \relative c' \twoStringsFaFaMinor }
\transpose b d {  \clef G \relative c''' \twoStringsFaFaMinor }
\transpose b g {  \clef G \relative c'' \twoStringsFaFaMinor }
\transpose b c {  \relative c'' \twoStringsFaFaMinor }
\transpose b f {  \relative c'' \twoStringsFaFaMinor }
\transpose b bes {  \relative c'' \twoStringsFaFaMinor }
\transpose b es {  \relative c'' \twoStringsFaFaMinor }
\transpose b aes {  \relative c' \twoStringsFaFaMinor }
\transpose b cis {  \relative c''' \twoStringsFaFaMinor }
\transpose b fis {  \relative c'' \twoStringsFaFaMinor }
\bar "||"
    }% end transpose
  }% end notes
>>
  \header {
      piece = "Arpeggios in minor keys, on two strings, covering one octave from fa to fa"
  }
  \paper {}
}

